Skip to main content
GET
/
api
/
private
/
v2
/
wallet
/
address-book
/
List Address Book
curl --request GET \
  --url https://app.digitalsurge.com.au/api/private/v2/wallet/address-book/ \
  --header 'Authorization: Bearer <token>'
{
  "count": 123,
  "results": [
    {
      "id": 123,
      "asset": "<string>",
      "asset_name": "<string>",
      "network": "<string>",
      "address": "<string>",
      "memo": "<string>",
      "label": "<string>",
      "status": "<string>",
      "enabled": true,
      "confirmed": true,
      "confirmed_at": "2023-11-07T05:31:56Z",
      "created": "2023-11-07T05:31:56Z",
      "updated": "2023-11-07T05:31:56Z",
      "last_used": "2023-11-07T05:31:56Z",
      "times_used": 123,
      "travel_rule": {}
    }
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}

Authorizations

Authorization
string
header
required

Personal API key, created in the Digital Surge app under Account Settings → API Keys. Send it with every request as Authorization: Bearer <your-api-key>.

Query Parameters

page
integer

A page number within the paginated result set.

page_size
integer

Number of results to return per page.

Response

200 - application/json
count
integer
required
Example:

123

results
object[]
required
next
string<uri> | null
Example:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Example:

"http://api.example.org/accounts/?page=2"